﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ScaffoldIt
{
    static class StringHelpers
    {
        public static string Collapse(this IEnumerable<string> strings, string separator)
        {
            StringBuilder sb = new StringBuilder();
            foreach (var s in strings)
            {
                if (sb.Length > 0) sb.Append(separator);
                sb.Append(s);
            }

            return sb.ToString();
        }
    }
}
