﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace ScaffoldIt.Configuration
{
    public class Category : IDescriptiveElement
    {
        [XmlAttribute]
        public string Name { get; set; }

        public string Description { get; set; }

        private List<Category> categories = new List<Category>();

        public List<Category> Categories
        {
            get
            {
                return this.categories;
            }
            set
            {
                this.categories = value;
            }
        }

        private List<Template> templates = new List<Template>();

        public List<Template> Templates
        {
            get
            {
                return this.templates;
            }
            set
            {
                this.templates = value;
            }
        }
    }
}
