﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace ScaffoldIt.Configuration
{
    [XmlType("Preset")]
    public class Preset
    {
        [XmlAttribute]
        public string Name { get; set; }
        
        [XmlAttribute]
        public string Description { get; set; }

        
        private List<PresetCategory> categories = new List<PresetCategory>();

        public List<PresetCategory> Categories
        {
            get
            {
                return this.categories;
            }
            set
            {
                this.categories = value;
            }
        }

        public override string ToString()
        {
            return Name;
        }
    }
}
