﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ScaffoldIt.Configuration
{
    class SampleTemplate
    {
        public static string Template()
        {
            return
                "<#@ template language=\"C#\" #>\r\n" +
                "<#@ assembly name=\"EnvDTE.dll\" #>\r\n" +
                "<#@ import namespace=\"System\" #>\r\n" +
                "<#@ import namespace=\"System.Collections.Generic\" #>\r\n" +
                "<#@ import namespace=\"EnvDTE\" #>\r\n" +
                "\r\n" +
                "<#@ parameter name=\"Model\" type=\"ScaffoldIt.ScaffoldModel\" #>\r\n" +
                "\r\n" +
                "using System;   \r\n" +
                "\r\n" +
                "namespace <#= Model.GeneratedNamespace #>\r\n" +
                "{\r\n" +
	            "    public class <#= Model.ClassName #>\r\n" +
	            "    {\r\n" +
		        "        <#\r\n" +
		        "        foreach (var prop in Model.Properties)\r\n" +
		        "        {\r\n" +
		        "        #>public <#= prop.Type #> <#= prop.Name #> {get; set;}\r\n" +
		        "        <#\r\n" +
		        "        }\r\n" +
		        "        #>\r\n" +
	            "\r\n" +
	            "       public static void HelloPot()\r\n" +
	            "       {\r\n" +
		        "          Console.WriteLine(\"Hello, POT\");\r\n" +
	            "       }\r\n" +
	            "    }\r\n" +
                "}\r\n";


        }
    }
}
